## org.biojava.utils
Class BeanAsMap

    java.lang.Object
      java.util.AbstractMap
          org.biojava.utils.BeanAsMap

All Implemented Interfaces:
  Map

    public class BeanAsMap

extends AbstractMap

Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`BeanAsMap(Object bean)`

Method Summary
`Set` `entrySet()`
`Object` `put(Object key, Object value)`
`int` `size()`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, putAll, remove, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanAsMap

    public BeanAsMap(Object bean)
              throws IntrospectionException

Throws:
  `IntrospectionException`

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Map`
  Overrides:
    `size` in class `AbstractMap`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`
  Specified by:
    `entrySet` in class `AbstractMap`

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`
  Overrides:
    `put` in class `AbstractMap`